Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript.json
Class JsonParser

    java.lang.Object
      org.mozilla.javascript.json.JsonParser

    public class JsonParser

extends java.lang.Object

This class converts a stream of JSON tokens into a JSON value. See ECMA 15.12.

Author:
  Raphael Speyer, Hannes Wallnoefer

Nested Class Summary
`static class` | `JsonParser.ParseException`

Constructor Summary
`JsonParser(Context cx, Scriptable scope)`

Method Summary
`java.lang.Object` | `parseValue(java.lang.String json)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonParser

    public JsonParser(Context cx,
                      Scriptable scope)

Method Detail

### parseValue

    public java.lang.Object parseValue(java.lang.String json)
                                throws JsonParser.ParseException

  Throws:
    `JsonParser.ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD